| Home | Libraries | People | FAQ | More

##### authority_view::operator<<

Format the encoded authority to the output stream.

###### Synopsis

Defined in header `<boost/url/authority_view.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        authority_view const& a);

###### Description

This function serializes the encoded URL to the output stream.

###### Example

    authority_view a( "www.example.com" );

    std::cout << a << std::endl;

###### Return Value

A reference to the output stream, for chaining

###### Parameters

Name | Description
--- | ---
`os` | The output stream to write to
`a` | The URL to write

Convenience header `<boost/url.hpp>`